void dessinerBlob(){
  //double boucle
  //pour chaque rayon il construit une forme qui va être remplie de la couleur définie
  for (float r=rmin; r<rmax; r+=dr) {//faire varier r de 1 à 50 avec un pas de dr=0.5pix
    //on trace et on supperpo les unes sur des autres des formes "blobiques" 
    //dont le rayon varie entre rmin et rmax pixels
    //la transparence sur la couleur de remplissage permet de créer visuellement un effe d'évanescence
    beginShape();//début de la forme
    //dessiner les différents points du "blob" vertex en coordonnées cylindriques
    //x=R*cos(theta) et y=R*sin(theta)  avec R=r+drift
    //en partant de theta=0 jusqu'à theta=360°
    //ici r est essentiellement défini par la valeur de drift qui varie entre 67 et 123
    //et la valeur de r qui varie dans une boucle entre rmin et rmax
    for (float theta=0; theta<360; theta+=dtheta) {
      //drift=dérive
      //noise bruit organique qui prend en compte les valeurs voisines...
      float drift = noise(r/50*cos(radians(theta))+4, r/50*sin(radians(theta))+4, time)*r*4;
      //println("drift=" +drift);//pour afficher les valeurs de drift
      //coordonnées cylindriques x=r*cos(theta) et y=r*sin(theta)
      float x= (r+drift)*cos(radians(theta));
      float y = (r+drift)*sin(radians(theta));
      vertex(x, y);//tracer le sommet à la coordonnée (x, y)
    }
    endShape();//fin de la forme
  }
}
